[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator +(Tmatrix2_double, Double): Tmatrix2_double

Add scalar to two-dimensional double precision matrix

## Declaration

Source position: matrix.pp line 584

`operator operator +(Tmatrix2_double, Double): Tmatrix2_double(`
`const m: Tmatrix2_double;`
`const x: Double`
`):Tmatrix2_double;`

## Description

This operator allows you to add a scalar value to a matrix. The scalar is added to all elements of the matrix, the result is returned as a new vector.

Documentation generated on: Feb 26 2014